Package org.apache.datasketches.fdt

# Class Group

java.lang.Object
org.apache.datasketches.fdt.Group

All Implemented Interfaces:
  `Comparable<Group>`

public class Group extends Object implements Comparable<Group>
Defines a Group from a Frequent Distinct Tuple query. This class is called internally during post processing and is not intended to be called by the user.

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`Group()`
Construct an empty Group

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Group that)`
`boolean`
`equals(Object that)`
`int`
`getCount()`
Returns the count
`double`
`getEstimate()`
Returns the estimate
`double`
`getFraction()`
Returns the fraction for this group
`String`
`getHeader()`
Returns the descriptive header
`double`
`getLowerBound()`
Returns the lower bound
`String`
`getPrimaryKey()`
Gets the primary key of type String
`double`
`getRse()`
Returns the RSE
`double`
`getUpperBound()`
Returns the upper bound
`int`
`hashCode()`
`Group`
`init(String priKey, int count, double estimate, double ub, double lb, double fraction, double rse)`
Specifies the parameters to be listed as columns
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Group

public Group()
Construct an empty Group

## Method Details

### init

public Group init(String priKey, int count, double estimate, double ub, double lb, double fraction, double rse)
Specifies the parameters to be listed as columns

Parameters:
  `priKey` - the primary key of the FDT sketch
  `count` - the number of retained rows associated with this group
  `estimate` - the estimate of the original population associated with this group
  `ub` - the upper bound of the estimate
  `lb` - the lower bound of the estimate
  `fraction` - the fraction of all retained rows of the sketch associated with this group
  `rse` - the estimated Relative Standard Error for this group.
Returns:
  return this

### getPrimaryKey

public String getPrimaryKey()
Gets the primary key of type String

Returns:
  priKey of type String

### getCount

public int getCount()
Returns the count

Returns:
  the count

### getEstimate

public double getEstimate()
Returns the estimate

Returns:
  the estimate

### getUpperBound

public double getUpperBound()
Returns the upper bound

Returns:
  the upper bound

### getLowerBound

public double getLowerBound()
Returns the lower bound

Returns:
  the lower bound

### getFraction

public double getFraction()
Returns the fraction for this group

Returns:
  the fraction for this group

### getRse

public double getRse()
Returns the RSE

Returns:
  the RSE

### getHeader

public String getHeader()
Returns the descriptive header

Returns:
  the descriptive header

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(Group that)

Specified by:
  `compareTo` in interface `Comparable<Group>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`